SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Conditions of Use
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:ends-with

fn:ends-with(string? $operand1, string? $operand2) → boolean?

Function signature

$operand1 | xs:string ?
$operand2 | xs:string ?
Result | xs:boolean ?

Returns true if the first string ends with the second string

XPath 2.0 Specification

fn:ends-with(string? $operand1, string? $operand2, string $collation) → boolean?

Function signature

$operand1 | xs:string ?
$operand2 | xs:string ?
$collation | xs:string
Result | xs:boolean ?

Returns true if the first string ends with the second string, when compared using the named collation. This must be a collation based on a RuleBasedCollator.

XPath 2.0 Specification

Next